import request from '@/utils/request'

// 查询我的收藏题目列表
export function listMemberSubjectCollect(query) {
  return request({
    url: '/hezhi/memberSubjectCollect/list',
    method: 'get',
    params: query
  })
}

// 查询我的收藏题目详细
export function getMemberSubjectCollect(memberSubjectCollectId) {
  return request({
    url: '/hezhi/memberSubjectCollect/' + memberSubjectCollectId,
    method: 'get'
  })
}

// 新增我的收藏题目
export function addMemberSubjectCollect(data) {
  return request({
    url: '/hezhi/memberSubjectCollect',
    method: 'post',
    data: data
  })
}

// 修改我的收藏题目
export function updateMemberSubjectCollect(data) {
  return request({
    url: '/hezhi/memberSubjectCollect',
    method: 'put',
    data: data
  })
}

// 删除我的收藏题目
export function delMemberSubjectCollect(memberSubjectCollectId) {
  return request({
    url: '/hezhi/memberSubjectCollect/' + memberSubjectCollectId,
    method: 'delete'
  })
}
